libzypp 17.37.10

KeyRing.h File Reference
`#include <iosfwd>`
`#include <map>`
`#include <list>`
`#include <set>`
`#include <string>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp/base/Flags.h>`
`#include <zypp/Callback.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/Locale.h>`
`#include <zypp/KeyRingContexts.h>`
`#include <zypp-common/PublicKey.h>`
`#include <zypp-common/KeyRingException.h>`

Go to the source code of this file.

## Classes
struct | zypp::KeyRingReport
| Callbacks from signature verification workflow. More...
struct | zypp::KeyRingSignals
class | zypp::KeyRing
| Gpg key handling. More...
struct | zypp::target::rpm::KeyRingSignals
| Internal connection to rpm database. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::target
namespace | zypp::target::rpm

## Functions
| zypp::DEFINE_PTR_TYPE (KeyRing)